## libxkbcommon 0.8.2-1~ubuntu18.04.1

=== meson_options.txt ===
option(
    'xkb-config-root',
    type: 'string',
    description: 'The XKB config root [default=xkeyboard-config install path]',
)
option(
    'x-locale-root',
    type: 'string',
    description: 'The X locale root [default=$datadir/X11/locale]',
)
option(
    'default-rules',
    type: 'string',
    value: 'evdev',
    description: 'Default XKB ruleset',
)
option(
    'default-model',
    type: 'string',
    value: 'pc105',
    description: 'Default XKB model',
)
option(
    'default-layout',
    type: 'string',
    value: 'us',
    description: 'Default XKB layout',
)
option(
    'default-variant',
    type: 'string',
    value: '',
    description: 'Default XKB variant',
)
option(
    'default-options',
    type: 'string',
    value: '',
    description: 'Default XKB options',
)
option(
    'enable-x11',
    type: 'boolean',
    value: true,
    description: 'Enable building the xkbcommon-x11 library',
)
option(
    'enable-docs',
    type: 'boolean',
    value: true,
    description: 'Enable building the documentation',
)
option(
    'enable-wayland',
    type: 'boolean',
    value: true,
    description: 'Enable support for Wayland utility programs',
)

=== debian/changelog ===
libxkbcommon (0.8.2-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic
    - sync with upstream, drop CVE patches
    - sync packaging, mark -dev packages M-A: same (LP: #1772512)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Mar 2019 16:36:07 +0200

libxkbcommon (0.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #907302).
    - Fixes CVE-2018-15853 CVE-2018-15854 CVE-2018-15855 CVE-2018-15856
      CVE-2018-15857 CVE-2018-15858 CVE-2018-15859 CVE-2018-15861
      CVE-2018-15862 CVE-2018-15863 CVE-2018-15864.
  * control: Update vcs urls.
  * control: Priority optional for all packages.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Aug 2018 14:06:12 +0300

libxkbcommon (0.8.0-2) unstable; urgency=medium

  * control: Mark -dev packages M-A: same. (LP: #1772512)
  * Split documentation from -dev to -doc. (Closes: #893855)
  * rules: Purge doxygen .md5 files.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 May 2018 16:59:28 +0300

libxkbcommon (0.8.0-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15853.patch: fix in src/xkbcomp/expr.c.
    - CVE-2018-15853
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15854.patch: fix in
      src/xkbcomp/ast-build.c, src/xkbcomp/ast-build.h,
      src/xkbcomp/ast.h, src/xkbcomp/parser.y.
    - CVE-2018-15854
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15855.patch: fix in
      src/xkbcomp/keymap.c, src/xkbcomp/parser.y.
    - CVE-2018-15855
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15856.patch: fix in src/compose/parser.c.
    - CVE-2018-15856
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15857.patch: fix in src/xkbcomp/ast-build.c.
    - CVE-2018-15857
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15858.patch: fix in src/xkbcomp/keycodes.c.
    - CVE-2018-15858
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15859.patch: fix in src/xkbcomp/expr.c.
    - CVE-2018-15859
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15861.patch: fix in src/xkbcomp/expr.c.
    - CVE-2018-15861
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15862.patch: fix in src/xkbcomp/expr.c.
    - CVE-2018-15862
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15863.patch: fix in src/xkbcomp/compat.c.
    - CVE-2018-15863
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-15864.patch: fix in src/xkbcomp/parser.y.
    - CVE-2018-15864

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 06 Nov 2018 08:36:17 -0300

libxkbcommon (0.8.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1740894)
  * watch: Update upstream git url.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Jan 2018 19:47:23 +0200

libxkbcommon (0.7.1-2) unstable; urgency=medium

  * Remove Cyril from Uploaders.
  * Add missing dependency libxkbcommon-x11-dev → libxkbcommon-dev
    (closes: #872874).

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Sep 2017 13:40:36 +0200

libxkbcommon (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * No need to explicitly enable --parallel, it's the default in compat 10.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 18 Jan 2017 20:05:33 +0100

libxkbcommon (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libxkbcommon0.symbols: add new symbols.
  * Build-depend on graphviz, needed for the doxygen docs. Closes: #844711.
  * Bump Standards-Version to 3.9.8, no changes.
  * Bump debhelper compat to 10.
    + debhelper now enables dh-autoreconf by default.
  * Stop passing --disable-silent-rules to configure, debhelper does that
    for a while.
  * debian/control: Update upstream git repo URL.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 07 Dec 2016 18:48:48 +0100

libxkbcommon (0.6.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #815867)
  * Use secure URIs in Vcs-* tags

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 22 Aug 2016 09:14:43 +0200

libxkbcommon (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches, applied upstream.
  * libxkbcommon-dev: install documentation (Thanks Fernando Seiti Furusato)
    (Closes: #723086)
  * Enable --parallel (Thanks Pino Toscano) (Closes: #760621)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 18 May 2015 19:53:18 +0200

libxkbcommon (0.4.3-2) unstable; urgency=high

  * d/p/0001-Remove-linux-input.h-include-from-test-x11comp.c.patch:
    + Patch from Pino Toscano to fix the build on !linux. Closes: #760624.
  * debian/control,
    debian/rules:
    + Enable quilt as the patch system.
  * High urgency for RC bug fix.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 23:07:00 +0200

libxkbcommon (0.4.3-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release (Closes: #750129).
  * Add build-dependencies used by new "x11comp" test:
    + x11-xkb-utils
    + xvfb
    (The test is supposed to skipped when these are not available,
    but actually it freezes.)

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 02:40:43 +0200

libxkbcommon (0.4.1-2) unstable; urgency=medium

  * Make libxkbcommon-x11 depend on the same version of libxkbcommon0
    (Closes: #755724)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 23 Jul 2014 08:35:57 +0200

libxkbcommon (0.4.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * libxkbcommon0.symbols: Added three new symbols.

  [ Michael Stapelberg ]
  * Make libxkbcommon-x11-dev depend on libxcb1-dev and libxcb-xkb-dev which
    it specifies in Requires.private. This is necessary for static builds.

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 18 Jul 2014 21:16:31 +0200



=== debian/control ===
Source: libxkbcommon
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends:
 debhelper (>= 10),
 quilt,
 pkg-config,
 xutils-dev (>= 7.5+4),
 bison,
 flex,
 libx11-dev,
 libxcb-xkb-dev (>= 1.10),
 x11-xkb-utils,
 x11proto-core-dev,
 x11proto-kb-dev (>= 1.0.5),
 xkb-data,
 xvfb,
 doxygen,
 graphviz,
Standards-Version: 3.9.8
Homepage: http://www.xkbcommon.org/
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libxkbcommon.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libxkbcommon

Package: libxkbcommon0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xkb-data,
 ${shlibs:Depends},
 ${misc:Depends},
Description: library interface to the XKB compiler - shared library
 This package provides a library to handle keyboard descriptions, including
 loading them from disk, parsing them and handling their state. It's mainly
 meant for client toolkits, window systems, and other system applications;
 currently that includes Wayland, kmscon, GTK+, Clutter, and more.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 https://github.com/xkbcommon/libxkbcommon.git

Package: libxkbcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxkbcommon0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: library interface to the XKB compiler - development files
 xkbcommon is a library to handle keyboard descriptions, including loading them
 from disk, parsing them and handling their state. It's mainly meant for client
 toolkits, window systems, and other system applications; currently that
 includes Wayland, kmscon, GTK+, Clutter, and more.
 .
 This package contains the development headers for the library found in
 libxkbcommon0. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 https://github.com/xkbcommon/libxkbcommon.git

Package: libxkbcommon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library interface to the XKB compiler - documentation
 xkbcommon is a library to handle keyboard descriptions, including loading them
 from disk, parsing them and handling their state. It's mainly meant for client
 toolkits, window systems, and other system applications; currently that
 includes Wayland, kmscon, GTK+, Clutter, and more.
 .
 This package contains the documentation files for the library found in
 libxkbcommon0. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 https://github.com/xkbcommon/libxkbcommon.git

Package: libxkbcommon-x11-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libxkbcommon0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: library to create keymaps with the XKB X11 protocol
 This package provides an add-on library called xkbcommon-x11, to support
 creating keymaps with the XKB X11 protocol, by querying the X server directly.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 https://github.com/xkbcommon/libxkbcommon.git

Package: libxkbcommon-x11-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libxkbcommon-x11-0 (= ${binary:Version}),
 libxkbcommon-dev (= ${binary:Version}),
 libxcb1-dev,
 libxcb-xkb-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: library to create keymaps with the XKB X11 protocol - development files
 This package provides an add-on library called xkbcommon-x11, to support
 creating keymaps with the XKB X11 protocol, by querying the X server directly.
 .
 This package contains the development headers for the library found in
 libxkbcommon-x11-0. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 https://github.com/xkbcommon/libxkbcommon.git

=== debian/rules ===
#!/usr/bin/make -f

# We need to point to xkb-data's files. The default should be OK but
# let's be cautious:
override_dh_auto_configure:
	dh_auto_configure -- --with-xkb-config-root=/usr/share/X11/xkb

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	find debian/tmp -name '*.md5' -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

%:
	dh $@ --with quilt


# For maintainer use only, generate a tarball
gentarball: SOURCE=$(shell dpkg-parsechangelog|awk '/^Source:/ {print $$2}')
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

## libxkbcommon 1.0.3

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,11 @@
     'xkb-config-root',
     type: 'string',
     description: 'The XKB config root [default=xkeyboard-config install path]',
+)
+option(
+    'xkb-config-extra-path',
+    type: 'string',
+    description: 'Extra lookup path for system-wide XKB data [default=$sysconfdir/xkb]',
 )
 option(
     'x-locale-root',
@@ -56,3 +61,9 @@
     value: true,
     description: 'Enable support for Wayland utility programs',
 )
+option(
+    'enable-xkbregistry',
+    type: 'boolean',
+    value: true,
+    description: 'Enable building libxkbregistry',
+)

=== debian/changelog ===
libxkbcommon (1.0.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * libxkbregistry-dev: Depend on libxml2-dev (Closes: #975895)
  * Add a superficial compile/link/run test for each -dev package

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Nov 2020 14:55:39 +0200

libxkbcommon (1.0.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Install evdev/wayland libxkbcommon-tools bits on Linux-only.

  [ Timo Aaltonen ]
  * New upstream release.
  * source: Migrate to 3.0 (quilt).

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Nov 2020 14:33:30 +0200

libxkbcommon (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Sep 2020 10:19:35 +0300

libxkbcommon (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to x11proto-dev.
  * Enable wayland build only on linux. (Closes: #951754)
  * control: Add libxml2-dev to build-depends.
  * symbols: Updated.
  * Add libxkbregistry{0,-dev} and libxkbcommon-tools.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Sep 2020 14:14:57 +0300

libxkbcommon (0.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #950001)
  * control: Support nocheck profile for xvfb build-dep.
  * Migrate to debhelper-compat 12, use dh_missing.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Feb 2020 13:49:36 +0200

libxkbcommon (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Build with meson, drop static libs, add cmake, wayland dev and
    protocols to build-deps.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Oct 2019 11:19:36 +0200

libxkbcommon (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * source: Bump to format 3.0, upstream provides only .xz tarballs.
  * control: Bump compat to 4.4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 08 Sep 2019 00:55:05 +0300

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,27 @@
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
+ bison,
+ cmake,
+ dh-exec,
+ doxygen,
+ flex,
+ graphviz,
+ meson,
+ pkg-config,
  quilt,
- pkg-config,
- xutils-dev (>= 7.5+4),
- bison,
- flex,
+ libwayland-dev [linux-any],
  libx11-dev,
  libxcb-xkb-dev (>= 1.10),
+ libxml2-dev,
+ wayland-protocols [linux-any],
  x11-xkb-utils,
- x11proto-core-dev,
- x11proto-kb-dev (>= 1.0.5),
+ x11proto-dev,
  xkb-data,
- xvfb,
- doxygen,
- graphviz,
-Standards-Version: 3.9.8
+ xutils-dev (>= 7.5+4),
+ xvfb <!nocheck>,
+Standards-Version: 4.5.0
 Homepage: http://www.xkbcommon.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libxkbcommon.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libxkbcommon
@@ -88,6 +93,25 @@
  This module can be found at
  https://github.com/xkbcommon/libxkbcommon.git
 
+Package: libxkbcommon-tools
+Section: graphics
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: library interface to the XKB compiler - tools
+ xkbcommon is a library to handle keyboard descriptions, including loading them
+ from disk, parsing them and handling their state. It's mainly meant for client
+ toolkits, window systems, and other system applications; currently that
+ includes Wayland, kmscon, GTK+, Clutter, and more.
+ .
+ This package contains the xkbcli tool to interact with XKB keymaps.
+ .
+ More information about X.Org can be found at:
+ <URL:http://www.X.org>
+ .
+ This module can be found at
+ https://github.com/xkbcommon/libxkbcommon.git
+
 Package: libxkbcommon-x11-0
 Section: libs
 Architecture: any
@@ -131,3 +155,46 @@
  .
  This module can be found at
  https://github.com/xkbcommon/libxkbcommon.git
+
+Package: libxkbregistry0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libxkbcommon0 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: library to query available RMLVO
+ This package provides an add-on library called xkbregistry, which is used
+ to query available RMLVO instead of parsing evdev.xml directly.
+ .
+ More information about X.Org can be found at:
+ <URL:http://www.X.org>
+ .
+ This module can be found at
+ https://github.com/xkbcommon/libxkbcommon.git
+
+Package: libxkbregistry-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libxkbcommon-dev (= ${binary:Version}),
+ libxkbregistry0 (= ${binary:Version}),
+ libxml2-dev,
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: library to query available RMLVO - development files
+ This package provides an add-on library called xkbregistry, which is used
+ to query the available RMLVO instead of parsing evdev.xml directly.
+ .
+ This package contains the development headers for the library found in
+ libxkbregistry0. Non-developers likely have little use for this package.
+ .
+ More information about X.Org can be found at:
+ <URL:http://www.X.org>
+ .
+ This module can be found at
+ https://github.com/xkbcommon/libxkbcommon.git

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,26 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+
+extra_meson_args =
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+	extra_meson_args+="-Denable-wayland=false"
+endif
 
 # We need to point to xkb-data's files. The default should be OK but
 # let's be cautious:
 override_dh_auto_configure:
-	dh_auto_configure -- --with-xkb-config-root=/usr/share/X11/xkb
+	dh_auto_configure -- -Dxkb-config-root=/usr/share/X11/xkb \
+		$(extra_meson_args)
 
 # Kill *.la files, and forget no-one:
 override_dh_install:
 	find debian/tmp -name '*.la' -delete
 	find debian/tmp -name '*.md5' -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## libxkbcommon 1.3.0

=== debian/changelog ===
libxkbcommon (1.3.0-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 12 Aug 2021 10:20:54 -0400

libxkbcommon (1.3.0-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981133)
    + Drop cmake as we now use meson.
    + Drop libx11-dev as we now use libxcb.
    + Drop xutils-dev as no tool of it is being used.
    + Annotate x11-xkb-utils and xkb-data <!nocheck>.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 May 2021 17:43:07 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libxkbcommon
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  bison,
- cmake,
  dh-exec,
  doxygen,
  flex,
@@ -15,14 +15,12 @@
  pkg-config,
  quilt,
  libwayland-dev [linux-any],
- libx11-dev,
  libxcb-xkb-dev (>= 1.10),
  libxml2-dev,
  wayland-protocols [linux-any],
- x11-xkb-utils,
+ x11-xkb-utils <!nocheck>,
  x11proto-dev,
- xkb-data,
- xutils-dev (>= 7.5+4),
+ xkb-data <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: http://www.xkbcommon.org/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 	extra_meson_args+="-Denable-wayland=false"
 endif
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 # We need to point to xkb-data's files. The default should be OK but
 # let's be cautious:

## libxkbcommon 1.4.0

=== debian/changelog ===
libxkbcommon (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump debhelper-compat to 13, policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Feb 2022 14:53:42 +0200

libxkbcommon (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 12:27:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libxkbcommon
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  bison,
  dh-exec,
  doxygen,
@@ -22,7 +21,7 @@
  x11proto-dev,
  xkb-data <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.xkbcommon.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libxkbcommon.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libxkbcommon

## libxkbcommon 1.4.1

=== debian/changelog ===
libxkbcommon (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Jul 2022 12:12:31 +0300

## libxkbcommon 1.5.0

=== debian/changelog ===
libxkbcommon (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Jan 2023 21:34:19 +0200

## libxkbcommon 1.6.0

=== debian/changelog ===
libxkbcommon (1.6.0-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:09:59 +0200

libxkbcommon (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * install: Updated.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Oct 2023 13:48:00 +0300

libxkbcommon (1.4.1-2) UNRELEASED; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libxcb-xkb-dev.
  * Use secure URI in Homepage field.
  * Don't specify --with=quilt, since package uses '3.0 (quilt)' source format.
  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Mon, 25 Jul 2022 10:11:12 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libxkbcommon
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,15 +15,15 @@
  pkg-config,
  quilt,
  libwayland-dev [linux-any],
- libxcb-xkb-dev (>= 1.10),
+ libxcb-xkb-dev,
  libxml2-dev,
  wayland-protocols [linux-any],
  x11-xkb-utils <!nocheck>,
  x11proto-dev,
  xkb-data <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
-Homepage: http://www.xkbcommon.org/
+Standards-Version: 4.6.1
+Homepage: https://www.xkbcommon.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libxkbcommon.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libxkbcommon

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 	extra_meson_args+="-Denable-wayland=false"
 endif
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 # We need to point to xkb-data's files. The default should be OK but
 # let's be cautious:
@@ -29,7 +26,7 @@
 	dh_makeshlibs -- -c4
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 
 # For maintainer use only, generate a tarball

## libxkbcommon 1.7.0

=== debian/changelog ===
libxkbcommon (1.7.0-2) unstable; urgency=medium

  * Rebuild for migration.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Dec 2024 12:05:36 +0200

libxkbcommon (1.7.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add libxkbcommon0-udeb, used on hurd-any.

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Make sure docs are still built.
  * tools.install: Updated.
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Nov 2024 16:24:43 +0200

=== debian/watch ===
#git=https://github.com/xkbcommon/libxkbcommon.git
version=3
http://xkbcommon.org/download/libxkbcommon-(.*)\.tar\.xz

## libxkbcommon 1.12.3

=== debian/changelog ===
libxkbcommon (1.12.3-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to version 5.
  * install: Updated.
  * install, symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Oct 2025 13:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libxkbcommon
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  flex,
  graphviz,
  meson,
- pkg-config,
+ pkgconf,
  quilt,
  libwayland-dev [linux-any],
  libxcb-xkb-dev,
@@ -48,6 +47,17 @@
  This module can be found at
  https://github.com/xkbcommon/libxkbcommon.git
 
+Package: libxkbcommon0-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends:
+ xkb-data-udeb,
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: library interface to the XKB compiler - shared library
+ This is a udeb, or a microdeb, for the debian-installer.
+
 Package: libxkbcommon-dev
 Section: libdevel
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # let's be cautious:
 override_dh_auto_configure:
 	dh_auto_configure -- -Dxkb-config-root=/usr/share/X11/xkb \
+		-Denable-docs=true \
 		$(extra_meson_args)
 
 # Kill *.la files, and forget no-one:

=== debian/tests/control ===
Tests: libxkbcommon-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, pkg-config, libxkbcommon-dev

Tests: libxkbcommon-x11-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, pkg-config, libxkbcommon-x11-dev

Tests: libxkbregistry-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, pkg-config, libxkbregistry-dev

=== debian/watch ===
Version: 5

Template: Github
Owner: xkbcommon
Project: libxkbcommon

## libxkbcommon 1.13.1

=== debian/changelog ===
libxkbcommon (1.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Feb 2026 08:41:10 +0200
